import { CreateCustomShapeData } from '../../../types/edit';
declare const _default: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    created: (payload: CreateCustomShapeData) => any;
}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{
    onCreated?: ((payload: CreateCustomShapeData) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {
    shapeCanvasRef: HTMLDivElement;
}, HTMLDivElement>;
export default _default;
